## org.apache.lucene.queries.function.valuesource
Class VectorValueSource

    java.lang.Object
      org.apache.lucene.queries.function.ValueSource
          org.apache.lucene.queries.function.valuesource.MultiValueSource
              org.apache.lucene.queries.function.valuesource.VectorValueSource

    public class VectorValueSource

extends MultiValueSource

Converts individual ValueSource instances to leverage the FunctionValues *Val functions that work with multiple values, i.e. `FunctionValues.doubleVal(int, double[])`

Field Summary
`protected List<ValueSource>` `sources`

Constructor Summary
`VectorValueSource(List<ValueSource> sources)`

Method Summary
`void` `createWeight(Map context, IndexSearcher searcher)` Implementations should propagate createWeight to sub-ValueSources which can optionally store weight info in the context.
`String` `description()` description of field, used in explain()
`int` `dimension()`
`boolean` `equals(Object o)`
`List<ValueSource>` `getSources()`
`FunctionValues` `getValues(Map context, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()
`int` `hashCode()`
`String` `name()`

Methods inherited from class org.apache.lucene.queries.function.ValueSource
`getSortField, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### sources

    protected final List<ValueSource> sources

Constructor Detail

### VectorValueSource

    public VectorValueSource(List<ValueSource> sources)

Method Detail

### getSources

    public List<ValueSource> getSources()

### dimension

    public int dimension()

  Specified by:
    `dimension` in class `MultiValueSource`

### name

    public String name()

### getValues

    public FunctionValues getValues(Map context,
                                    AtomicReaderContext readerContext)
                             throws IOException

  Description copied from class: `ValueSource`
  Gets the values for this reader and the context that was previously passed to createWeight()

  Specified by:
    `getValues` in class `ValueSource`
  Throws:
    `IOException`

### createWeight

    public void createWeight(Map context,
                             IndexSearcher searcher)
                      throws IOException

  Description copied from class: `ValueSource`
  Implementations should propagate createWeight to sub-ValueSources which can optionally store weight info in the context. The context object will be passed to getValues() where this info can be retrieved.

  Overrides:
    `createWeight` in class `ValueSource`
  Throws:
    `IOException`

### description

    public String description()

  Description copied from class: `ValueSource`
  description of field, used in explain()

  Specified by:
    `description` in class `ValueSource`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in class `ValueSource`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ValueSource`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.